#debug info would be empty due to no binarys
%define debug_package %{nil}

Name:		bless
Version:	0.6.2
Release:	%mkrel 2

Summary:	Hexadecimal Editor
Group:		File tools
License:	GPLv2
URL:		http://home.gna.org/bless/
Source0: https://github.com/afrantzis/bless/archive/v%{version}.tar.gz
Patch1: bless-0.6.0-fixblessutilrange.patch
Patch2: bless-0.6.2-default-editmode-overwrite.patch
BuildRequires:	pkgconfig(mono)
BuildRequires:	glade-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	gtk+2-devel
BuildRequires:	rarian
BuildRequires: autoconf
BuildRequires: automake
BuildRequires:	gettext-devel

Requires:	gtk-sharp2

%description
Bless is a binary (hex) editor, a program that enables you to edit files as
a sequence of bytes. It is written in C# and uses the Gtk# bindings for the
GTK+ toolkit.

%prep
%setup -q
%autopatch -p1

sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" builder/ModuleBuilder.cs

%build
./autogen.sh
%configure --without-scrollkeeper
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot} MKDIR_P="mkdir -p"

%files
%{_bindir}/bless
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/doc/%{name}/
%{_datadir}/omf/%{name}/bless-manual.omf
%{_datadir}/pixmaps/bless-48x48.png


%changelog
* Mon Sep 21 2020 tv <tv> 0.6.2-2.mga8
+ Revision: 1629225
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.6.2-1.mga8
+ Revision: 1629066
- Update to new upstream release 0.6.2
- default edit mode is now Overwrite instead of Insert
- Fix build with new mono 6, fixing confusion about System.Range and Bless.Util.Range
- rebuild for new mono

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-13.mga8
+ Revision: 1510733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 0.6.0-12.mga7
+ Revision: 1295506
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 0.6.0-11.mga7
+ Revision: 1234580
- fix build on aarch64

* Wed Aug 23 2017 ovitters <ovitters> 0.6.0-10.mga7
+ Revision: 1144014
+ rebuild (emptylog)

* Sat Feb 13 2016 umeabot <umeabot> 0.6.0-10.mga6
+ Revision: 959607
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 tv <tv> 0.6.0-9.mga6
+ Revision: 916047
- fix finding mono4 compiler
- rebuild for mono4

* Sat Oct 24 2015 daviddavid <daviddavid> 0.6.0-8.mga6
+ Revision: 894869
- fix owner of data dir, lib dir and doc dir
+ neoclust <neoclust>
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-7.mga5
+ Revision: 745272
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-6.mga5
+ Revision: 678172
- Mageia 5 Mass Rebuild

* Fri Mar 28 2014 vaci0 <vaci0> 0.6.0-5.mga5
+ Revision: 609248
-BUG: fixed bug 11926
-added patch for runtime v4.0

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-4.mga4
+ Revision: 503105
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 346915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0.6.0-2.mga3
+ Revision: 302677
- fix RPM group
- fix description

* Sun Sep 18 2011 juancho <juancho> 0.6.0-1.mga2
+ Revision: 144828
- Fixed BuildRequires for rarian
- Added BuildRequires: rarian-devel
- Added missing Requires rarian
+ vaci0 <vaci0>
- Fixed files missing
- Fixed %%files section and Url
- imported package bless

